//
//  HyXenProMeADRequest.h
//  adWhilrSDK_iOS
//
//  Created by  on 2012/2/2.
//  Copyright (c) 2012年 Hyxen Tech Inc.. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>


typedef void(^HyXenOffADRequestFinishBlock)  (NSString *requestresponse);//, HyXenProMeADBannerView *bannerView);
typedef void(^HyXenOffADRequestFailBlock)  (NSString *requestresponse);//, HyXenProMeADBannerView *bannerView);

typedef void (^HyXenADImpressionFinishBlock) (NSString *requestresponse);
typedef void (^HyXenADImpressionFailBlock) (NSString *requestresponse);

typedef void (^HyXenADAuthFinishBlock) (NSString *requestresponse);
typedef void (^HyXenADAuthFailBlock) (NSString *requestresponse);

@interface HyXenProMeADRequest : NSObject
-(id)init;
+(void)HyXenADRequestWithAppKey:(NSString *)appKey andSessionId:(NSString *)sessionId lat:(NSString *)latString lng:(NSString *)lngString andSize:(NSString *)size andUserinfo:(NSMutableDictionary *)userInfo didFinishBlock:(HyXenOffADRequestFinishBlock)finishBlock didFaildBlock:(HyXenOffADRequestFailBlock)faildBlock;
+(void)HyXenADImpressionWithAppKey:(NSString *)appKey andSessionId:(NSString *)sessionId andAdId:(NSString *)adId didFinishBlock:(HyXenADImpressionFinishBlock)finishBlock didFaildBlock:(HyXenADImpressionFailBlock)faildBlock;
+(NSString *)stringEncryptWithSHA1:(NSString *)oriString;
+(void)HyXenADAuthWithAppKey:(NSString *)appKey didFinishBlock:(HyXenADAuthFinishBlock)finishBlock didFaildBlock:(HyXenADAuthFailBlock)faildBlock;

+(void)HyXenADRequestWithAppKey:(NSString *)appKey
                   andSessionId:(NSString *)sessionId
                          tagId:(NSString *)tagId
                    bannerWidth:(CGFloat)bannerWidth
                   bannerHeight:(CGFloat)bannerHeight
                            lat:(NSString *)latString
                            lng:(NSString *)lngString
                        andSize:(NSString *)size
                    andUserinfo:(NSMutableDictionary *)userInfo
                 didFinishBlock:(HyXenOffADRequestFinishBlock)finishBlock didFaildBlock:(HyXenOffADRequestFailBlock)faildBlock;

@end
